#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	make
Version		:	4.4.1
Release		:	14.4.0.0%{?dist}
Summary		:	A GNU tool which simplifies the build process for users
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.gnu.org/software/make/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files. Make
allows users to build and install packages without any significant
knowledge about the details of the build process. The details about
how the program should be built are provided for make in the program's
makefile.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/gnu%{name}.h
%{_bindir}/%{name}
%{_infodir}/%{name}.info.gz
%{_infodir}/%{name}.info-[1-3].gz
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#First, fix some issues identified upstream
sed -i							\
  -e '/ifdef SIGPIPE/,+2 d'				\
  -e '/undef  FATAL_SIG/i FATAL_SIG (SIGPIPE);'		\
  src/main.c

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm} -fr  %{buildroot}%{_infodir}/dir

%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
